# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`windows_ntp`](#windows_ntp): Configure NTP on Windows

## Classes

### windows_ntp

Configure NTP on Windows when not being managed by a windows domain, eg for
DMZs.

You must specify an NTP server to sync from in the `server` parameter for the
module to configure your system. Some common public NTP servers are:
  * time.windows.com
  * pool.ntp.org

* **See also**
https://support.microsoft.com/en-us/help/262680/a-list-of-the-simple-network-time-protocol-sntp-time-servers-that-are
http://support.ntp.org/bin/view/Servers/WebHome

#### Examples

##### Hiera data

```puppet
windows_ntp::server: "time.windows.com"
```

##### use the default NTP server (data from Hiera)

```puppet
include windows_ntp
```

##### use a specific NTP server

```puppet
class { "windows_ntp":
  server => "nz.pool.ntp.org",
}
```

#### Parameters

The following parameters are available in the `windows_ntp` class.

##### `server`

Data type: `Optional[String]`

NTP server to sync time from

Default value: `undef`

